ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsCommon__Functions Namespace Reference

## Functions
INTEGER | fx__getCurrentTime ()
| This external function gets the current time More...
INTEGER | fx__getCurrentTimeMark ()
| Gets the current time since 01/01/2004 More...
INTEGER | fx__getMinuteOfTheYear ()
| Gets the Minute of current UTC year More...
INTEGER | fx__getDSecond ()
| Gets the milliseconds point in the current UTC minute More...
FLOAT | fx__computeDistance (const INTEGER &p__latitudeA, const INTEGER &p__longitudeA, const INTEGER &p__latitudeB, const INTEGER &p__longitudeB)
void | fx__computePositionUsingDistance (const INTEGER &p__refLatitude, const INTEGER &p__refLongitude, const FLOAT &p__distance, const INTEGER &p__orientation, INTEGER &p__latitude, INTEGER &p__longitude)
FLOAT | fx__computeRadiusFromCircularArea (const FLOAT &p__squareMeters)

## Function Documentation

## ◆ fx__computeDistance()

FLOAT LibItsCommon__Functions::fx__computeDistance | ( | const INTEGER & | p__latitudeA,
|  | const INTEGER & | p__longitudeA,
|  | const INTEGER & | p__latitudeB,
|  | const INTEGER & | p__longitudeB
| ) |  |

## ◆ fx__computePositionUsingDistance()

void LibItsCommon__Functions::fx__computePositionUsingDistance | ( | const INTEGER & | p__refLatitude,
|  | const INTEGER & | p__refLongitude,
|  | const FLOAT & | p__distance,
|  | const INTEGER & | p__orientation,
|  | INTEGER & | p__latitude,
|  | INTEGER & | p__longitude
| ) |  |

## ◆ fx__computeRadiusFromCircularArea()

FLOAT LibItsCommon__Functions::fx__computeRadiusFromCircularArea | ( | const FLOAT & | p__squareMeters | ) |

## ◆ fx__getCurrentTime()

INTEGER LibItsCommon__Functions::fx__getCurrentTime | ( |  | ) |

This external function gets the current time

Returns
  Timestamp - current time since 01/01/2014 in milliseconds

See also
  fx_getCurrentTime() return TimestampIts

## ◆ fx__getCurrentTimeMark()

INTEGER LibItsCommon__Functions::fx__getCurrentTimeMark | ( |  | ) |

Gets the current time since 01/01/2004

Returns
  TimeMark - tenths of a second in the current or next hour in units of 1/10th second from UTC time

See also
  function f_getCurrentTimeMark() return TimeMark

## ◆ fx__getDSecond()

INTEGER LibItsCommon__Functions::fx__getDSecond | ( |  | ) |

Gets the milliseconds point in the current UTC minute

Returns
  DSecond - The milliseconds point in the current UTC minute (0..60000)

See also
  function f_getDSecond() return DSecond

## ◆ fx__getMinuteOfTheYear()

INTEGER LibItsCommon__Functions::fx__getMinuteOfTheYear | ( |  | ) |

Gets the Minute of current UTC year

Returns
  MinuteOfTheYear - tenths of a second in the current or next hour in units of 1/10th second from UTC time

See also
  function f_getMinuteOfTheYear() return MinuteOfTheYear